/*
 * Copyright (c) 1996, 2003 VIA Networking, Inc. All rights reserved.
 *
 * This software may be redistributed and/or modified under 
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * File: wetctl.h
 *
 * Author: lyndon chen 
 * Date: Jan 2, 2003 
 */ 
 

#ifndef __WETCTL_H__
#define __WETCTL_H__

#define     VERSION             "1.02"
#define		APPNAME				"wetctl"
#define		JOIN				"join"
#define		PRIVACY				"privacy"
#define		SCAN				"scan"
#define		GETLIST				"list"
#define		GETLINK				"link"
#define		GETMIB				"mib"
#define		GETSTAT				"stat"
#define		STOP			    "stop"
#define		START			    "start"
#define		APSTART			    "apstart"
#define		HOSTAP_ON		    "hostap_on"
#define		HOSTAP_OFF		    "hostap_off"
#define		GETNODE				"nodes"
#define     RATE_1M             0
#define     RATE_2M             1
#define     RATE_5M             2
#define     RATE_11M            3
#define     RATE_6M             4
#define     RATE_9M             5
#define     RATE_12M            6
#define     RATE_18M            7
#define     RATE_24M            8
#define     RATE_36M            9
#define     RATE_48M            10
#define     RATE_54M            11

#endif /* __WETCTL_H__*/

